## CamelInternetAddress

CamelInternetAddress

## Synopsis

    struct              CamelInternetAddress;
    CamelInternetAddress* camel_internet_address_new        (void);
    int                 camel_internet_address_add          (CamelInternetAddress *addr,
                                                             const char *name,
                                                             const char *address);
    gboolean            camel_internet_address_get          (const CamelInternetAddress *addr,
                                                             int index,
                                                             const char **namep,
                                                             const char **addressp);
    int                 camel_internet_address_find_name    (CamelInternetAddress *addr,
                                                             const char *name,
                                                             const char **addressp);
    int                 camel_internet_address_find_address (CamelInternetAddress *addr,
                                                             const char *address,
                                                             const char **namep);
    char*               camel_internet_address_encode_address
                                                            (int *len,
                                                             const char *name,
                                                             const char *addr);
    char*               camel_internet_address_format_address
                                                            (const char *real,
                                                             const char *addr);

## Description

## Details

### struct CamelInternetAddress

    struct CamelInternetAddress {
    	CamelAddress parent;

    	struct _CamelInternetAddressPrivate *priv;
    };

### camel_internet_address_new ()

    CamelInternetAddress* camel_internet_address_new        (void);

Returns : |

### camel_internet_address_add ()

    int                 camel_internet_address_add          (CamelInternetAddress *addr,
                                                             const char *name,
                                                             const char *address);

`addr` : |
`name` : |
`address` : |
Returns : |

### camel_internet_address_get ()

    gboolean            camel_internet_address_get          (const CamelInternetAddress *addr,
                                                             int index,
                                                             const char **namep,
                                                             const char **addressp);

`addr` : |
`index` : |
`namep` : |
`addressp` : |
Returns : |

### camel_internet_address_find_name ()

    int                 camel_internet_address_find_name    (CamelInternetAddress *addr,
                                                             const char *name,
                                                             const char **addressp);

`addr` : |
`name` : |
`addressp` : |
Returns : |

### camel_internet_address_find_address ()

    int                 camel_internet_address_find_address (CamelInternetAddress *addr,
                                                             const char *address,
                                                             const char **namep);

`addr` : |
`address` : |
`namep` : |
Returns : |

### camel_internet_address_encode_address ()

    char*               camel_internet_address_encode_address
                                                            (int *len,
                                                             const char *name,
                                                             const char *addr);

`len` : |
`name` : |
`addr` : |
Returns : |

### camel_internet_address_format_address ()

    char*               camel_internet_address_format_address
                                                            (const char *real,
                                                             const char *addr);

`real` : |
`addr` : |
Returns : |